Skip to main content
GET
/
v2
/
contracts
/
{chainId}
List of verified contracts per chain
curl --request GET \
  --url https://sourcify.dev/server/v2/contracts/{chainId}
{
  "results": [
    {
      "match": "exact_match",
      "creationMatch": "match",
      "runtimeMatch": "exact_match",
      "chainId": "11155111",
      "address": "0xDFEBAd708F803af22e81044aD228Ff77C83C935c",
      "verifiedAt": "2024-07-24T12:00:00Z",
      "matchId": "421"
    },
    {
      "match": "match",
      "creationMatch": "match",
      "runtimeMatch": "match",
      "chainId": "11155111",
      "address": "0x2738d13E81e30bC615766A0410e7cF199FD59A83",
      "verifiedAt": "2024-07-24T12:00:00Z",
      "matchId": "5531"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://hedera-0c6e0218-update-sourcify-migration-issue-508-luke.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

chainId
string
required

The chainId number of the EVM chain

Required string length: 1 - 20
Pattern: ^\d+$
Example:

"11155111"

Query Parameters

sort
enum<string>
default:desc

Sorts the contracts by most recent first (desc, default), or by oldest first (asc)

Available options:
asc,
desc
Example:

"asc"

limit
number
default:200

Number of contracts that should be returned per page. Maximum 200

Required range: 1 <= x <= 200
afterMatchId
string

The last matchId returned to get contracts older or newer than it (depending on sort)

Response

Returns an array of VerifiedContractMinimal objects under results field.

If not verified on any chain, the results array will be empty.

results
VerifiedContractMinimal · object[]